For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • POSTcreate a new user
      • GETretrieve user information
      • PUTupdate user information
      • DELdelete a user
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementUsers

create a new user

POST
https://api.jambonz.cloud/v1/Users
POST
/v1/Users
$curl -X POST https://api.jambonz.cloud/v1/Users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "jdoe",
> "email": "jdoe@example.com",
> "is_active": true,
> "force_change": true,
> "initial_password": "Str0ngP@ssw0rd!",
> "is_view_only": false
>}'
1{
2 "user_sid": "a3f1c9d2-4b7e-4f8a-9c3d-2e5f7b8a9c1d"
3}
Was this page helpful?
Previous

retrieve user information

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
username
emailstringRequired
user email address
is_activebooleanRequired
user account is active
force_changebooleanRequired
require the user to change password on next login
initial_passwordstringRequired
users password
is_view_onlybooleanRequired
if set to true the user will not be able to make changes
account_sidstringOptionalformat: "uuid"
account sid the account the user will have access to, if not set will create a Service Provider account
service_provider_sidstringOptionalformat: "uuid"
The service provider sid, the account is under, if not set account will be admin level

Response

user created
user_sidstringformat: "uuid"
The sid of the newly created user

Errors

403
Forbidden Error
500
Internal Server Error